[277.18, 311.13, 369.99, 415.30, 466.16] @=> float freqs[];


//SinOsc sin => dac;
//0 => sin.gain;
//440 => sin.freq;

StifKarp gens[5];

for( 0 => int i; i < 5 ; i++ ){
	StifKarp p @=> gens[i];

	//Phasor p @=> gens[i];
	gens[i] => JCRev r => dac;
	.75 => r.gain;
	.05 => r.mix;


	0 => gens[i].gain;
	freqs[i] => gens[i].freq;
	gens[i] => dac;
}



// create our OSC receiver
OscRecv recv;
// use port 80
80 => recv.port;
// start listening (launch thread)
recv.listen();


recv.event( "/data/glove/pressure,i,f") @=> OscEvent oe;


// infinite event loop
while ( true )
{
	oe => now;
	
	
    // grab the next message from the queue. 
    while ( oe.nextMsg() != 0 )
    { 
		int i;
		-1 => i;
		oe.getInt() => i;
		
		//if(i >= 1){
			<<< i >>>;
			//oe.nextMsg();
			float f;
			oe.getFloat() / 5.0 => f;
			<<< f >>>;
			f => gens[i].gain;
			gens[i].pluck(f * 5.0);
		//}
        
    }
	
}
