
//
// Launch.ck
//
// This ChucK script launches the entire application. The main starting point is
// in SampleSpace.ck.
//
// Author: <andrewrs@cs.washington.edu>
// Modified: 15 Mar 2011
//

// Events
Machine.add("NoteEvent.ck");
Machine.add("GloveEvent.ck");
Machine.add("PositionEvent.ck");

// Voices
Machine.add("Voice.ck");
Machine.add("VoiceManager.ck");
Machine.add("JazzPianoVoice.ck");
Machine.add("SineVoice.ck");
Machine.add("WowSynthVoice.ck");
Machine.add("WeirdFMVoice.ck");

// Looping
Machine.add("Metronome.ck");
Machine.add("LoopManager.ck");

// OSC
Machine.add("OSCManager.ck");

// Debugging
Machine.add("GloveEmulator.ck");

// Run it!
Machine.add("SampleSpace.ck");
