[277.18, 311.13, 369.99, 415.30, 466.16] @=> float freqs[];
[0,0,0,0,0] @=> int playing[];
[0.,0.,0.,0.,0.] @=> float pressures[];

Phasor gens[5];

//initialize generators
for( 0 => int i; i < 5 ; i++ ){
	Phasor p @=> gens[i];

	//Phasor p @=> gens[i];
	gens[i] => JCRev r => dac;
	.75 => r.gain;
	.05 => r.mix;


	0 => gens[i].gain;
	freqs[i] => gens[i].freq;
	gens[i] => dac;
}



// create our OSC receiver
OscRecv recv;
// use port 80
80 => recv.port;
// start listening (launch thread)
recv.listen();


recv.event( "/data/glove/pressure,i,f") @=> OscEvent oscPressure;
recv.event( "/data/glove/startstop,i,s") @=> OscEvent oscStartStop;

// infinite event loop
while ( true )
{
	1::ms => now;
	
	for(0 => int j; j < 5; j++){
		if(playing[j]){
			pressures[j] => gens[j].gain;
		}else{
			0 => gens[j].gain;
		}
	
	}
	
	
	
    // grab the next message from the queue. 
    while( oscPressure.nextMsg() != 0){
		int i;
		oscPressure.getInt() => i;
		float f;
		oscPressure.getFloat() / 5.0 => f;
		f => pressures[i];
	}
	
	
	while ( oscStartStop.nextMsg() != 0 )
    { 
		int i;
		oscStartStop.getInt() => i;
		string s;
		oscStartStop.getString() => s;
		if(s == "start"){
			1 => playing[i];
		}else{
			0 => playing[i];
		}
        
    }
	
}
