

SinOsc sin => dac;
0 => sin.gain;
440 => sin.freq;


// create our OSC receiver
OscRecv recv;
// use port 80
80 => recv.port;
// start listening (launch thread)
recv.listen();

// create an address in the receiver, store in new variable
recv.event( "/data/glove/finger0/start, i" ) @=> OscEvent finger0start;
recv.event( "/data/glove/finger0/stop, i" ) @=> OscEvent finger0stop;
recv.event( "/data/glove/finger0/pressure, i" ) @=> OscEvent finger0pressure;

//recv.event( "/data/glove/finger0, f" ) @=> OscEvent oe;

int finger0playing;
0 => finger0playing;
float finger0gain;
0 => finger0gain;

// infinite event loop
while ( true )
{
    // check for events constantly
    1::samp => now;
	//oe => now;
	
	
    // grab the next message from the queue. 
    while ( finger0start.nextMsg() != 0 )
    { 
        // getFloat fetches the expected float (as indicated by "f")
        finger0start.getInt();
        // print
        <<< "got start signal" >>>;
        
		1 => finger0playing;
		
    }
	while ( finger0stop.nextMsg() != 0 )
    { 
        // getFloat fetches the expected float (as indicated by "f")
        finger0stop.getInt() => sin.gain;
        // print
        <<< "got stop signal" >>>;
        
		0 => finger0playing;
    }
	while ( finger0pressure.nextMsg() != 0 )
    { 
        // getFloat fetches the expected float (as indicated by "f")
finger0pressure.getFloat() => sin.gain;
        // print
        <<< "got pressure data" >>>;
        
    }
	
	if(finger0playing == 0){
		0 => sin.gain;
	}
}
